Bug 32703 - pdftex broken on images
Summary: pdftex broken on images
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: tetex   
(Show other bugs)
Version: 7.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-03-22 15:24 UTC by Dan Kelley
Modified: 2007-04-18 16:32 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-03-23 10:29:55 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Dan Kelley 2001-03-22 15:24:51 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (X11; U; Linux 2.2.18 i686)


When I run pdftex (on a texinfo-format file), it breaks on images.  The
problem is solved by the one-line patch provided under 'additional info'
below.

Reproducible: Always
Steps to Reproduce:
1.try 'make gri.pdf' on the Makefile in gri.sourceforge.net, under the
"doc" directory...
2.or just make the suggested change and you'll see it's fine!
3.
	

[kelley@Intrusion doc]$ diff -c
/usr/share/texmf/pdftex/texinfo/pdftexinfo.tex
/usr/share/texmf/pdftex/texinfo/pdftexinfo.tex~
*** /usr/share/texmf/pdftex/texinfo/pdftexinfo.tex	Thu Mar 22 11:14:02
2001--- /usr/share/texmf/pdftex/texinfo/pdftexinfo.tex~	Mon Mar 29 06:17:02
1999***************
*** 5481,5487 ****
        \fi
      \endgroup
    \else
!     \centerline{\pdfimage {#1.pdf}}%
    \fi
  }
  
--- 5481,5487 ----
        \fi
      \endgroup
    \else
!     \centerline{\pdfimage #1.pdf}%
    \fi
  }

Comment 1 Tim Waugh 2001-03-22 15:35:09 UTC
There is no line '\centerline{\pdfimage {#1.pdf}}%' in that file from 
tetex-1.0.7-7.

Are you sure you didn't change it by accident?



Comment 2 Dan Kelley 2001-03-22 15:40:13 UTC
Maybe I ordered the files in my 'diff' command in an unusual way.  My original
tetex-1.0.7-7 file had the line
     \centerline{\pdfimage #1.pdf}%
in it, and it failed that way.  When I put {} around the #1.pdf, it succeeded.

Q: What was on that line of your file?

I'm sorry I don't have a small testfile with which to demonstrate.

Q: did your test use texinfo input?


Comment 3 Tim Waugh 2001-03-23 10:28:57 UTC
Okay, sorry, I had misread the diff.  Yes, I can reproduce this.  Thanks a lot 
for the patch.


Comment 4 Tim Waugh 2001-04-19 09:30:58 UTC
Fixed in tetex-1.0.7-16.  Thanks!



Note You need to log in before you can comment on or make changes to this bug.